head	1.3;
access;
symbols
	RELEASE_8_1_0:1.2
	RELEASE_7_3_0:1.2
	RELEASE_8_0_0:1.2
	RELEASE_7_2_0:1.2
	RELEASE_7_1_0:1.2
	RELEASE_6_4_0:1.2
	RELEASE_5_EOL:1.2
	RELEASE_7_0_0:1.2
	RELEASE_6_3_0:1.2
	PRE_XORG_7:1.2
	RELEASE_4_EOL:1.2
	RELEASE_6_2_0:1.2
	RELEASE_6_1_0:1.2
	RELEASE_5_5_0:1.2
	RELEASE_6_0_0:1.2
	RELEASE_5_4_0:1.2
	RELEASE_4_11_0:1.2
	RELEASE_5_3_0:1.2
	RELEASE_4_10_0:1.2
	old_RELEASE_5_2_1:1.1
	old_RELEASE_5_2_0:1.1
	old_RELEASE_4_9_0:1.1
	old_RELEASE_5_1_0:1.1;
locks; strict;
comment	@# @;


1.3
date	2010.08.13.01.34.26;	author dougb;	state dead;
branches;
next	1.2;

1.2
date	2004.01.19.13.44.47;	author maho;	state Exp;
branches;
next	1.1;

1.1
date	2003.04.28.22.17.47;	author maho;	state Exp;
branches;
next	;


desc
@@


1.3
log
@In my sweep of ports that have no SHA256 I contacted maho about lang/ifc7.
He confirmed my suspicion that the distfiles are no longer available, but
given his fond recollection of work on this port he asked me to swing
the axe, so here you go.

Sad to say good-bye
Many happy memories
Sources are no more

PR:		ports/149454
Submitted by:	me
@
text
@--- ia32/bin/ifc.orig	Sun Jan 18 17:29:47 2004
+++ ia32/bin/ifc	Sun Jan 18 17:34:08 2004
@@@@ -1,6 +1,9 @@@@
 #!/bin/sh
 
-if [ -z INTEL_LICENSE_FILE ]
+ICC_LOCALBASE=%%ICC_LOCALBASE%%
+export ICC_LOCALBASE;
+
+if [ -z "$INTEL_LICENSE_FILE" ]
 then
 INTEL_LICENSE_FILE=<INSTALLDIR>/licenses;
 else
@@@@ -8,7 +11,7 @@@@
 fi
 export INTEL_LICENSE_FILE;
 
-if [ -z LD_LIBRARY_PATH ]
+if [ -z "$LD_LIBRARY_PATH" ]
 then 
  LD_LIBRARY_PATH=<INSTALLDIR>/compiler70/ia32/lib;
 else
@@@@ -16,7 +19,7 @@@@
 fi
 export LD_LIBRARY_PATH;
 
-if [ -z PATH ]
+if [ -z "$PATH" ]
 then
  PATH=<INSTALLDIR>/compiler70/ia32/bin;
 else
@@@@ -24,11 +27,31 @@@@
 fi
 export PATH;
 
-export -n IA32ROOT; unset IA32ROOT;
-
 if [ $# != 0 ]
 then
- exec -a "<INSTALLDIR>/compiler70/ia32/bin/ifc" <INSTALLDIR>/compiler70/ia32/bin/ifcbin "$@@";
+ i=0
+ argc=$#
+ while [ $i -lt $argc ] ; do
+  val1=$1
+  shift
+  val2=${val1#"-openmp"}
+  if [ ${#val1} -gt ${#val2} ] ; then
+   echo "Sorry, option '$val1' is not supported on FreeBSD."
+   exit 1
+  fi
+  val2=${val1#"-par"}
+  if [ ${#val1} -gt ${#val2} ] ; then
+   echo "Sorry, option '$val1' is not supported on FreeBSD."
+   exit 1
+  fi
+  if [ "${val1}" = "-Kpic" ] || [ "${val1}" = "-KPIC" ] || \
+   [ "${val1}" = "-fpic" ] || [ "${val1}" = "-fPIC" ] ; then
+   set -- "$@@" "-Qoption,ld,-PIC"
+  fi
+  set -- "$@@" "$val1"
+  i=$(($i+1))
+ done
+ exec <INSTALLDIR>/compiler70/ia32/bin/ifcbin "$@@";
 else
- exec -a "<INSTALLDIR>/compiler70/ia32/bin/ifc" <INSTALLDIR>/compiler70/ia32/bin/ifcbin;
+ exec <INSTALLDIR>/compiler70/ia32/bin/ifcbin;
 fi
@


1.2
log
@update to ifc to 7.1.038.

Submitted by:	Masakazu HIGAKI <higamasa@@dream.com>
@
text
@@


1.1
log
@Update ports for 7.1.015

Submitted by:	 Masakazu HIGAKI <higamasa@@dream.com>
@
text
@d1 3
a3 3
--- ia32/bin/ifc.orig	Sat Apr  5 20:48:18 2003
+++ ia32/bin/ifc	Sat Apr  5 20:53:32 2003
@@@@ -1,34 +1,61 @@@@
d6 3
a8 2
+PREFIX=@@@@PREFIX@@@@
+export PREFIX;
d10 1
a10 1
 if [ -z INTEL_LICENSE_FILE ]
d12 1
a12 2
-INTEL_LICENSE_FILE=<INSTALLDIR>/licenses;
+INTEL_LICENSE_FILE=${PREFIX}/intel/licenses;
d14 1
a14 2
-INTEL_LICENSE_FILE=$INTEL_LICENSE_FILE:<INSTALLDIR>/licenses;
+INTEL_LICENSE_FILE=$INTEL_LICENSE_FILE:${PREFIX}/intel/licenses;
d18 2
a19 1
 if [ -z LD_LIBRARY_PATH ]
d21 1
a21 2
- LD_LIBRARY_PATH=<INSTALLDIR>/compiler70/ia32/lib;
+ LD_LIBRARY_PATH=${PREFIX}/intel/compiler70/ia32/lib;
d23 1
a23 2
- LD_LIBRARY_PATH=<INSTALLDIR>/compiler70/ia32/lib:$LD_LIBRARY_PATH
+ LD_LIBRARY_PATH=${PREFIX}/intel/compiler70/ia32/lib:$LD_LIBRARY_PATH
d27 2
a28 1
 if [ -z PATH ]
d30 1
a30 2
- PATH=<INSTALLDIR>/compiler70/ia32/bin;
+ PATH=${PREFIX}/intel/compiler70/ia32/bin;
d32 1
a32 2
- PATH=<INSTALLDIR>/compiler70/ia32/bin:$PATH;
+ PATH=${PREFIX}/intel/compiler70/ia32/bin:$PATH;
a59 4
+  if [ "${val1}" = "-mt" ] ; then
+   unset val1
+   set -- "$@@" "-Qoption,ld,-MT"
+  fi
d63 1
a63 1
+ exec ${PREFIX}/intel/compiler70/ia32/bin/ifcbin "$@@";
d66 1
a66 1
+ exec ${PREFIX}/intel/compiler70/ia32/bin/ifcbin;
@

